@import url("https://fonts.googleapis.com/css2?family=Saira+Extra+Condensed:wght@100;300;400;600&display=swap");
@keyframes spin {
  100% {
    transform: rotateZ(360deg);
  }
}
.ui-loader {
  display: none !important;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Saira Extra Condensed', sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.cerrar_view {
  position: absolute;
  top: 12px;
  right: 12px;
  z-index: 100;
}

.contenedor {
  width: 100vw;
  height: 100vh;
  display: flex;
  background-image: url("../images/backgrounds/BG-lobby-desktop.jpg");
  background-size: cover;
  background-position: center;
  align-items: center;
  flex-wrap: wrap;
  justify-content: center;
  position: relative;
}
.contenedor .option_top {
  position: absolute;
  top: 0;
  height: 49px;
  left: 0;
  display: flex;
  align-items: top;
}
.contenedor .option_top .h_option {
  width: auto;
  cursor: pointer;
}
.contenedor .option_top .h_option img {
  width: 100%;
}
.contenedor .option_top .user_name {
  width: auto;
  height: 100%;
  padding: 8px 18px;
  margin-left: 2px;
  background-image: linear-gradient(to right, #000, transparent);
}
.contenedor .option_top .user_name p {
  font-size: 22px;
  color: #fff;
}
.contenedor .mapa {
  max-width: 960px;
  width: 100%;
  margin: 0 auto;
  height: 320px;
  background-image: url("../images/mapa/path-back.svg");
  background-repeat: no-repeat;
  background-position: center;
  position: relative;
}
.contenedor .mapa .juego-uno {
  position: absolute;
  top: 10%;
  left: 0;
}
.contenedor .mapa .juego-uno .circulo {
  width: 100px;
  height: 100px;
  display: flex;
  align-items: center;
  justify-content: center;
  background: #5f5f5e;
  border-radius: 50%;
}
.contenedor .mapa .juego-uno .circulo.pass_reto_uno {
  background-color: #1E2026;
  cursor: pointer;
}
.contenedor .mapa .juego-uno .circulo .numero {
  width: 90%;
  height: 90%;
  /* background-color: red; */
  display: flex;
  border: 1px solid #9d9d9d;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
}
.contenedor .mapa .juego-uno .circulo .numero p {
  font-size: 40px;
  font-weight: bold;
  color: #9d9d9d;
  letter-spacing: 1px;
}
.contenedor .mapa .juego-uno .circulo .numero p.pass {
  color: #FEB902;
}
.contenedor .mapa .juego-dos {
  position: absolute;
  bottom: 10%;
  left: 20%;
}
.contenedor .mapa .juego-dos .circulo {
  width: 100px;
  height: 100px;
  display: flex;
  align-items: center;
  justify-content: center;
  background: #5f5f5e;
  border-radius: 50%;
}
.contenedor .mapa .juego-dos .circulo.pass_reto_dos {
  background-color: #1E2026;
}
.contenedor .mapa .juego-dos .circulo .numero {
  width: 90%;
  height: 90%;
  /* background-color: red; */
  display: flex;
  border: 1px solid #9d9d9d;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
}
.contenedor .mapa .juego-dos .circulo .numero p {
  font-size: 40px;
  font-weight: bold;
  color: #9d9d9d;
  letter-spacing: 1px;
}
.contenedor .mapa .juego-dos .circulo .numero p.pass {
  color: #FEB902;
}
.contenedor .mapa .juego-tres {
  position: absolute;
  top: 10%;
  left: 40%;
}
.contenedor .mapa .juego-tres .circulo {
  width: 100px;
  height: 100px;
  display: flex;
  align-items: center;
  justify-content: center;
  background: #5f5f5e;
  border-radius: 50%;
}
.contenedor .mapa .juego-tres .circulo.pass_reto {
  background-color: #1E2026;
}
.contenedor .mapa .juego-tres .circulo .numero {
  width: 90%;
  height: 90%;
  /* background-color: red; */
  display: flex;
  border: 1px solid #9d9d9d;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
}
.contenedor .mapa .juego-tres .circulo .numero p {
  font-size: 40px;
  font-weight: bold;
  color: #9d9d9d;
  letter-spacing: 1px;
}
.contenedor .mapa .juego-tres .circulo .numero p.pass {
  color: #FEB902;
}
.contenedor .mapa .juego-cuatro {
  position: absolute;
  top: 50%;
  left: 65%;
}
.contenedor .mapa .juego-cuatro .circulo {
  width: 100px;
  height: 100px;
  display: flex;
  align-items: center;
  justify-content: center;
  background: #5f5f5e;
  border-radius: 50%;
}
.contenedor .mapa .juego-cuatro .circulo.pass_reto {
  background-color: #1E2026;
}
.contenedor .mapa .juego-cuatro .circulo .numero {
  width: 90%;
  height: 90%;
  /* background-color: red; */
  display: flex;
  border: 1px solid #9d9d9d;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
}
.contenedor .mapa .juego-cuatro .circulo .numero p {
  font-size: 40px;
  font-weight: bold;
  color: #9d9d9d;
  letter-spacing: 1px;
}
.contenedor .mapa .juego-cuatro .circulo .numero p.pass {
  color: #FEB902;
}
.contenedor .mapa .juego-cinco {
  position: absolute;
  right: 0;
  top: 30%;
}
.contenedor .mapa .juego-cinco .circulo {
  width: 100px;
  height: 100px;
  display: flex;
  align-items: center;
  justify-content: center;
  background: #5f5f5e;
  border-radius: 50%;
}
.contenedor .mapa .juego-cinco .circulo.pass_reto {
  background-color: #1E2026;
}
.contenedor .mapa .juego-cinco .circulo .numero {
  width: 90%;
  height: 90%;
  /* background-color: red; */
  display: flex;
  border: 1px solid #9d9d9d;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
}
.contenedor .mapa .juego-cinco .circulo .numero p {
  font-size: 40px;
  font-weight: bold;
  color: #9d9d9d;
  letter-spacing: 1px;
}
.contenedor .mapa .juego-cinco .circulo .numero p.pass {
  color: #FEB902;
}
.contenedor .cta_juego {
  position: absolute;
  text-align: center;
  left: 0;
  right: 0;
  bottom: 50px;
}
.contenedor .cta_juego p {
  background-image: linear-gradient(#FEB902, #FEA702);
  color: #000;
  text-transform: uppercase;
  width: 150px;
  cursor: pointer;
  padding: 11px 0px;
  margin: 0 auto;
  font-size: 16px;
  font-weight: bold;
}
.contenedor .sound {
  display: none;
}

.opciones_view {
  width: 100%;
  position: fixed;
  background-color: rgba(0, 0, 0, 0.5);
  height: 100%;
  z-index: 9000;
  top: 0;
  padding: 20px;
  display: none;
  justify-content: center;
  align-items: center;
}
@supports (-webkit-backdrop-filter: none) or (backdrop-filter: none) {
  .opciones_view .ov_cont {
    max-width: 320px;
    width: 100%;
    -webkit-backdrop-filter: blur(5px);
    backdrop-filter: blur(5px);
    display: block;
    position: relative;
    text-align: center;
    padding: 30px 30px;
    background-color: rgba(0, 0, 0, 0.5);
    border-radius: 6px;
  }
  .opciones_view .ov_cont .cerrar {
    position: absolute;
    top: 12px;
    right: 12px;
    cursor: pointer;
  }
  .opciones_view .ov_cont h3 {
    font-size: 22px;
    color: #fff;
    font-weight: bold;
    line-height: 27px;
    margin-bottom: 26px;
  }
  .opciones_view .ov_cont a {
    text-decoration: none;
  }
  .opciones_view .ov_cont p {
    font-size: 18px;
    color: #000;
    cursor: pointer;
    text-decoration: none;
    text-transform: uppercase;
    padding: 5px 75px;
    line-height: 28px;
    font-weight: bold;
    margin-bottom: 16px;
    text-align: center;
    background-color: rgba(255, 255, 255, 0.2);
  }
  .opciones_view .ov_cont p.log-out {
    margin-bottom: 0;
    background-color: #FEB902;
  }
}

.reto_cuatro {
  width: 100%;
  position: fixed;
  background-color: rgba(0, 0, 0, 0.5);
  height: 100%;
  z-index: 9000;
  top: 0;
  padding: 20px;
  display: none;
  justify-content: center;
  align-items: center;
}
.reto_cuatro .reto_cont {
  width: 80%;
  height: 60vh;
  margin: 0 auto;
  position: relative;
  display: flex;
  padding-right: 5%;
  align-items: center;
  justify-content: flex-end;
  background-size: cover;
  background-image: url("../images/backgrounds/splash-mobile-A124.jpg");
}
.reto_cuatro .reto_cont .img_splash {
  width: 100%;
  display: block;
  position: absolute;
}
.reto_cuatro .reto_cont .img_splash img {
  width: 100%;
}
.reto_cuatro .reto_cont .cerrar {
  position: absolute;
  top: 12px;
  right: 12px;
}
.reto_cuatro .reto_cont .textos {
  max-width: 190px;
  width: 100%;
}
.reto_cuatro .reto_cont .textos h2 {
  color: #fff;
  font-weight: bold;
  font-size: 26px;
  letter-spacing: 1px;
  line-height: 32px;
  padding: 0 10px;
  margin-bottom: 10px;
  text-transform: uppercase;
}
.reto_cuatro .reto_cont .textos p {
  font-size: 18px;
  color: #fff;
  line-height: 20px;
  margin-bottom: 20px;
}
.reto_cuatro .reto_cont .textos a {
  background-image: linear-gradient(#FEB902, #FEA702);
  text-transform: uppercase;
  font-size: 18px;
  font-weight: bold;
  line-height: 28px;
  padding: 5px 30px;
  color: #000;
  text-decoration: none;
}

.cambiar {
  width: 100vw;
  height: 100vh;
  display: none;
  position: absolute;
  top: 0;
  z-index: 999;
  justify-content: center;
  align-items: center;
  background-color: #000;
}
.cambiar .textos {
  width: 100%;
  display: block;
  text-align: center;
}
.cambiar .textos h2 {
  font-size: 22px;
  color: #fff;
  letter-spacing: 1px;
  font-weight: bold;
  margin-top: 20px;
}

@media only screen and (max-width: 1000px) {
  .contenedor .mapa .juego-uno {
    left: 3%;
    top: 22%;
  }
  .contenedor .mapa .juego-uno .circulo {
    width: 70px;
    height: 70px;
  }

  .contenedor .mapa .juego-uno .circulo .numero p, .contenedor .mapa .juego-dos .circulo .numero p, .contenedor .mapa .juego-tres .circulo .numero p,
  .contenedor .mapa .juego-cuatro .circulo .numero p, .contenedor .mapa .juego-cinco .circulo .numero p {
    font-size: 30px;
  }

  .contenedor .mapa .juego-dos {
    bottom: 20%;
    left: 22%;
  }
  .contenedor .mapa .juego-dos .circulo {
    width: 70px;
    height: 70px;
  }

  .contenedor .mapa .juego-tres {
    top: 15%;
  }
  .contenedor .mapa .juego-tres .circulo {
    width: 70px;
    height: 70px;
  }

  .contenedor .mapa .juego-cuatro .circulo {
    width: 70px;
    height: 70px;
  }

  .contenedor .mapa .juego-cinco {
    right: 5%;
    top: 45%;
  }
  .contenedor .mapa .juego-cinco .circulo {
    width: 70px;
    height: 70px;
  }

  .loader18 {
    width: 80px !important;
    height: 80px !important;
  }
}
@media only screen and (max-width: 760px) {
  .contenedor .mapa .juego-uno {
    top: 33%;
    left: 2%;
  }
  .contenedor .mapa .juego-uno img {
    width: 100px;
  }

  .contenedor .mapa .juego-dos {
    bottom: 26%;
    left: 20%;
  }
  .contenedor .mapa .juego-dos img {
    width: 100px;
  }

  .contenedor .mapa .juego-tres {
    top: 10%;
  }
  .contenedor .mapa .juego-tres img {
    width: 100px;
  }

  .contenedor .mapa .juego-cuatro {
    top: 44%;
  }
  .contenedor .mapa .juego-cuatro img {
    width: 100px;
  }

  .contenedor .mapa .juego-cinco {
    top: initial;
    bottom: 17%;
  }
  .contenedor .mapa .juego-cinco img {
    width: 100px;
  }

  .reto_cuatro .reto_cont {
    width: 90%;
    height: 70vh;
  }
}
@media only screen and (max-width: 670px) {
  .contenedor .mapa .juego-uno {
    top: 50%;
  }

  .contenedor .mapa .juego-dos {
    bottom: 35%;
  }

  .contenedor .cta_juego {
    bottom: 20px;
  }

  .reto_cuatro .reto_cont {
    width: 100%;
    height: 90vh;
  }
}
@media only screen and (max-width: 570px) {
  .contenedor .mapa .juego-dos {
    top: 25%;
    bottom: initial;
  }

  .contenedor .mapa .juego-cuatro {
    top: 33%;
  }

  .contenedor .mapa .juego-cinco {
    bottom: 20%;
  }

  .reto_cuatro .reto_cont {
    width: 100%;
    height: 90vh;
  }
}
